ReplyAfterType (Apache CXF API 2.5.0 API)
Keywords: org.apache.cxf.ws.addressing.v200408.ReplyAfterType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200408
Class ReplyAfterType

    java.lang.Object
      org.apache.cxf.ws.addressing.v200408.ReplyAfterType

    public class ReplyAfterType

extends Object

Java class for ReplyAfterType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReplyAfterType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
           <anyAttribute namespace='##other'/>
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected BigInteger` | `value`

Constructor Summary
`ReplyAfterType()`

Method Summary
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`BigInteger` | `getValue()` Gets the value of the value property.
`void` | `setValue(BigInteger value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected BigInteger value

Constructor Detail

### ReplyAfterType

    public ReplyAfterType()

Method Detail

### getValue

    public BigInteger getValue()

  Gets the value of the value property.

  Returns:
    possible object is `BigInteger`

### setValue

    public void setValue(BigInteger value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF